Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.session
Class GraphSession.Dependencies

    java.lang.Object
      org.modeshape.graph.session.GraphSession.Dependencies

Enclosing class:
  GraphSession<Payload,PropertyPayload>

    @NotThreadSafe
    protected static final class GraphSession.Dependencies

extends Object

Constructor Summary
`GraphSession.Dependencies()`

Method Summary
`void` | `addRequireChangesTo(GraphSession.NodeId other)`
`GraphSession.NodeId` | `getMovedFrom()`
`Set<GraphSession.NodeId>` | `getRequireChangesTo()`
`void` | `setMovedFrom(GraphSession.NodeId movedFrom)` Record that this node is being moved from one parent to another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphSession.Dependencies

    public GraphSession.Dependencies()

Method Detail

### getMovedFrom

    public GraphSession.NodeId getMovedFrom()

  Returns:
    movedFrom

### setMovedFrom

    public void setMovedFrom(GraphSession.NodeId movedFrom)

  Record that this node is being moved from one parent to another. This method only records the original parent, so subsequent calls to this method do nothing.

  Parameters:
    `movedFrom` - the identifier of the original parent of this node

### getRequireChangesTo

    public Set<GraphSession.NodeId> getRequireChangesTo()

  Returns:
    requireChangesTo

### addRequireChangesTo

    public void addRequireChangesTo(GraphSession.NodeId other)

  Parameters:
    `other` - the other node that changes are dependent upon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.